# Uses of Class
org.eclipse.swt.dnd.TransferData

Packages that use TransferData
Package
Description
org.eclipse.rap.rwt.dnd
org.eclipse.swt.dnd

## Uses of TransferData in org.eclipse.rap.rwt.dnd

Methods in org.eclipse.rap.rwt.dnd that return TransferData
Modifier and Type
Method
Description
`TransferData[]`
ClientFileTransfer.`getSupportedTypes()`
Methods in org.eclipse.rap.rwt.dnd with parameters of type TransferData
Modifier and Type
Method
Description
`boolean`
ClientFileTransfer.`isSupportedType(TransferData transferData)`
`void`
ClientFileTransfer.`javaToNative(Object object, TransferData transferData)`
`Object`
ClientFileTransfer.`nativeToJava(TransferData transferData)`

## Uses of TransferData in org.eclipse.swt.dnd

Fields in org.eclipse.swt.dnd declared as TransferData
Modifier and Type
Field
Description
`TransferData`
DropTargetEvent.`currentDataType`
The type of data that will be dropped.
`TransferData`
DragSourceEvent.`dataType`
The type of data requested.
`TransferData[]`
DropTargetEvent.`dataTypes`
A list of the types of data that the DragSource is capable of providing.
Methods in org.eclipse.swt.dnd that return TransferData
Modifier and Type
Method
Description
`TransferData[]`
ByteArrayTransfer.`getSupportedTypes()`
`abstract TransferData[]`
Transfer.`getSupportedTypes()`
Returns a list of the platform specific data types that can be converted using this transfer agent.
Methods in org.eclipse.swt.dnd with parameters of type TransferData
Modifier and Type
Method
Description
`boolean`
ByteArrayTransfer.`isSupportedType(TransferData transferData)`
`abstract boolean`
Transfer.`isSupportedType(TransferData transferData)`
Returns true if the `TransferData` data type can be converted using this transfer agent, or false otherwise (including if transferData is `null`).
`void`
ByteArrayTransfer.`javaToNative(Object object, TransferData transferData)`
This implementation of `javaToNative` converts a java `byte[]` to a platform specific representation.
`void`
FileTransfer.`javaToNative(Object object, TransferData transferData)`
This implementation of `javaToNative` converts a list of file names represented by a java `String[]` to a platform specific representation.
`void`
HTMLTransfer.`javaToNative(Object object, TransferData transferData)`
This implementation of `javaToNative` converts HTML-formatted text represented by a java `String` to a platform specific representation.
`void`
ImageTransfer.`javaToNative(Object object, TransferData transferData)`
This implementation of `javaToNative` converts an ImageData object represented by java `ImageData` to a platform specific representation.
`void`
RTFTransfer.`javaToNative(Object object, TransferData transferData)`
This implementation of `javaToNative` converts RTF-formatted text represented by a java `String` to a platform specific representation.
`void`
TextTransfer.`javaToNative(Object object, TransferData transferData)`
This implementation of `javaToNative` converts plain text represented by a java `String` to a platform specific representation.
`abstract void`
Transfer.`javaToNative(Object object, TransferData transferData)`
Converts a java representation of data to a platform specific representation of the data.
`void`
URLTransfer.`javaToNative(Object object, TransferData transferData)`
This implementation of `javaToNative` converts a URL represented by a java `String` to a platform specific representation.
`Object`
ByteArrayTransfer.`nativeToJava(TransferData transferData)`
This implementation of `nativeToJava` converts a platform specific representation of a byte array to a java `byte[]`.
`Object`
FileTransfer.`nativeToJava(TransferData transferData)`
This implementation of `nativeToJava` converts a platform specific representation of a list of file names to a java `String[]`.
`Object`
HTMLTransfer.`nativeToJava(TransferData transferData)`
This implementation of `nativeToJava` converts a platform specific representation of HTML text to a java `String`.
`Object`
ImageTransfer.`nativeToJava(TransferData transferData)`
This implementation of `nativeToJava` converts a platform specific representation of an image to java `ImageData`.
`Object`
RTFTransfer.`nativeToJava(TransferData transferData)`
This implementation of `nativeToJava` converts a platform specific representation of RTF text to a java `String`.
`Object`
TextTransfer.`nativeToJava(TransferData transferData)`
This implementation of `nativeToJava` converts a platform specific representation of plain text to a java `String`.
`abstract Object`
Transfer.`nativeToJava(TransferData transferData)`
Converts a platform specific representation of data to a java representation.
`Object`
URLTransfer.`nativeToJava(TransferData transferData)`
This implementation of `nativeToJava` converts a platform specific representation of a URL to a java `String`.
`static boolean`
TransferData.`sameType(TransferData data1, TransferData data2)`